Page MenuHomePhabricator

Make CI pass for wikidiff2 changes
Closed, ResolvedPublic

Description

Changes have been moved from GitHub to Gerrit in T149674: https://gerrit.wikimedia.org/r/319866 but needs to be adjusted to make the CI pass.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 15 2016, 11:17 AM
Tobi_WMDE_SW updated the task description. (Show Details)

Change 319866 had a related patch set uploaded (by Tobias Gritschacher):
[WIP] Extend WikiDiff2 to show changes inside moved paragraphes

https://gerrit.wikimedia.org/r/319866

CI passes on jenkins.

  • the code compiles for PHP and HHVM
  • for PHP the test run and pass
  • for HHVM tests are not executed

When I run make test on my local machine after compiling for HHVM the tests fail due to some missing configuration. Since running this on master gives the same errors it seems, running the tests on HVVM is not intended.

Tobi_WMDE_SW closed this task as Resolved.Nov 17 2016, 3:40 PM
Tobi_WMDE_SW claimed this task.
Addshore moved this task from Done to Demoed on the WMDE-QWERTY-Team board.Nov 22 2016, 3:10 PM

Change 319866 had a related patch set uploaded (by Jkroll):
[WIP] Extend WikiDiff2 to show changes inside moved paragraphs This is the moved-line-diff branch by @jkroll copied from GitHub that was started to extend WikiDiff2 with options to make changes in moved paragraphs visible.

https://gerrit.wikimedia.org/r/319866

Change 356582 had a related patch set uploaded (by Jkroll; owner: MaxSem):
[mediawiki/php/wikidiff2@master] [WIP] Extend WikiDiff2 to show changes inside moved paragraphs - better change/add/delete distinction Improve handling of change/add/delete ops in diff engine so Change 319866 gets a chance to run.

https://gerrit.wikimedia.org/r/356582

Change 319866 had a related patch set uploaded (by Jkroll; owner: WMDE-Fisch):
[mediawiki/php/wikidiff2@master] Extend WikiDiff2 to show changes inside moved paragraphs

https://gerrit.wikimedia.org/r/319866

Change 356582 had a related patch set uploaded (by Jkroll; owner: MaxSem):
[mediawiki/php/wikidiff2@master] Better change/add/delete distinction for DiffOps

https://gerrit.wikimedia.org/r/356582

Change 356582 merged by jenkins-bot:
[mediawiki/php/wikidiff2@master] Better change/add/delete distinction for DiffOps

https://gerrit.wikimedia.org/r/356582

Change 319866 merged by jenkins-bot:
[mediawiki/php/wikidiff2@master] Extend WikiDiff2 to show changes inside moved paragraphs

https://gerrit.wikimedia.org/r/319866